import { _decorator } from 'cc';
import GameConfigManager from '../GameConfigManager';
const { ccclass, property } = _decorator;

/**
 * 武器槽
 */
export class WeaponCell{
    /**
     * 格子ID
     */
    public cellId:number=1;
    /**
     * 武器ID
     */
    public weaponId:number=1;
    /**
     * 上次产出的时间
     */
    public lastOutputTime:number=0;

    /**
     * 武器配置
     */
    public get weaponConfig():any{
        if(this.weaponId<0){
            return null;
        }
        return GameConfigManager.GetWeaponConfig(this.weaponId);
    }
}
